<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CProfilesArray
{
    /**
     * @var \Gls\GlsPoland\AdePlus\Type\CProfile
     */
    private $items;

    public function getItems(): CProfile
    {
        return $this->items;
    }

    public function withItems(CProfile ...$items): CProfilesArray
    {
        $new = clone $this;
        $new->items = $items;

        return $new;
    }
}
